From mboxrd@z Thu Jan  1 00:00:00 1970
From: Adolf Belka <adolf.belka@ipfire.org>
To: development@lists.ipfire.org
Subject: [PATCH 4/4] wsdd: Update install and uninstall pak files
Date: Mon, 18 Mar 2024 19:43:14 +0100
Message-ID: <20240318184314.3683-4-adolf.belka@ipfire.org>
In-Reply-To: <20240318184314.3683-1-adolf.belka@ipfire.org>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="===============4840821031259256414=="
List-Id: <development.lists.ipfire.org>

--===============4840821031259256414==
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable

- As wsdd is now started by samba when it is started then the wsdd install an=
d uninstall
   paks no longer need to create the symlinks for starting and stopping wsdd =
and no longer
   need the start_service and stop_service commands in the paks.

Fixes: bug#13445
Tested-by: Adolf Belka <adolf.belka(a)ipfire.org>
Signed-off-by: Adolf Belka <adolf.belka(a)ipfire.org>
---
 src/paks/wsdd/install.sh   | 7 +------
 src/paks/wsdd/uninstall.sh | 3 ---
 2 files changed, 1 insertion(+), 9 deletions(-)

diff --git a/src/paks/wsdd/install.sh b/src/paks/wsdd/install.sh
index 181b84eb9..12fde4802 100644
--- a/src/paks/wsdd/install.sh
+++ b/src/paks/wsdd/install.sh
@@ -24,7 +24,7 @@
 . /opt/pakfire/lib/functions.sh
=20
 # If the wsdd user does not exist yet, then create it and add to wsdd group.
-if ! getent user wsdd >/dev/null; then
+if ! getent passwd wsdd >/dev/null; then
 	useradd -r -U -d / -s /bin/false -c "wsdd user" wsdd
 	usermod -a -G wsdd wsdd
 fi
@@ -32,9 +32,4 @@ fi
 extract_files
 restore_backup ${NAME}
=20
-# Create startlinks
-ln -sf ../init.d/wsdd /etc/rc.d/rc0.d/K35wsdd
-ln -sf ../init.d/wsdd /etc/rc.d/rc3.d/S65wsdd
-ln -sf ../init.d/wsdd /etc/rc.d/rc6.d/K35wsdd
-start_service ${NAME}
 exit 0
diff --git a/src/paks/wsdd/uninstall.sh b/src/paks/wsdd/uninstall.sh
index 4c52ee281..9dc5202f4 100644
--- a/src/paks/wsdd/uninstall.sh
+++ b/src/paks/wsdd/uninstall.sh
@@ -22,9 +22,6 @@
 ############################################################################
 #
 . /opt/pakfire/lib/functions.sh
-stop_service ${NAME}
 make_backup ${NAME}
 remove_files
-# Remove all start links.
-rm -rf /etc/rc.d/rc*.d/*wsdd
 exit 0
--=20
2.44.0


--===============4840821031259256414==--